﻿-- print("Modules/Package.Lua start")
--Create the LFMonitor package and event handler
LFMonitor = {}

local function LFMonEvent(self, event, arg1)

	if ((event == "ADDON_LOADED") and arg1 == "LFMonitor") then

		LFMonitor:OnInitialise()

	elseif (event == "PLAYER_LOGIN") then

		LFMonitor:OnEnable()

	end

end

LFMonitor.frame = CreateFrame("Frame")
LFMonitor.frame:RegisterEvent("ADDON_LOADED")
LFMonitor.frame:RegisterEvent("PLAYER_LOGIN")
LFMonitor.frame:SetScript("OnEvent", LFMonEvent)
LFMonitor.frame.flashtimer = 0
LFMonitor.TimeSinceLastUpdate = 0

--Load LibBabble libraries
local bzone = LibStub("LibBabble-Zone-3.0")
LFMonitor.BZ = bzone:GetUnstrictLookupTable()

local bboss = LibStub("LibBabble-Boss-3.0")
LFMonitor.BB = bboss:GetUnstrictLookupTable()

local binv = LibStub("LibBabble-Inventory-3.0")
LFMonitor.BI = binv:GetUnstrictLookupTable()

-- print("Modules/Package.Lua end")
